﻿'
' Copyright (c) 2009-2015, MindFusion LLC - Bulgaria.
'

Imports MindFusion.Scheduling

Partial Public Class _Default
	Inherits System.Web.UI.Page
	Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load
		If Not IsPostBack Then
			'set calender's date to be now
			_calendar.[Date] = DateTime.Now

			'add some items to the Schedule
			Dim recApp As New Appointment()
			recApp.HeaderText = "Recurring event"
			recApp.StartTime = DateTime.Now
			recApp.EndTime = DateTime.Now + TimeSpan.FromHours(2)

			Dim rec As New Recurrence()
			rec.StartDate = DateTime.Now
			rec.RecurrenceEnd = RecurrenceEnd.Never
			rec.Pattern = RecurrencePattern.Weekly
			rec.DaysOfWeek = DaysOfWeek.Friday

			recApp.Recurrence = rec
			_calendar.Schedule.Items.Add(recApp)

			Dim recs = rec.GenerateItems(rec.StartDate, rec.StartDate.AddMonths(1))
			Dim excApp As Appointment = DirectCast(recs(1), Appointment)
			excApp.StartTime = excApp.StartTime + TimeSpan.FromDays(-3)
			excApp.EndTime = excApp.EndTime + TimeSpan.FromDays(-3)
			excApp.HeaderText = "Exception"
			rec.MarkException(excApp, False)

			Dim regularApp As New Appointment()
			regularApp.HeaderText = "Regular event"
			regularApp.StartTime = DateTime.Now.[Date].AddDays(2)
			regularApp.EndTime = regularApp.StartTime.AddHours(24)
			regularApp.AllDayEvent = True
			_calendar.Schedule.Items.Add(regularApp)
		End If
	End Sub
End Class
